Package org.opensaml.saml.common.messaging.context

# Class SAMLEndpointContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLEndpointContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLEndpointContext extends BaseContext
Context that carries information about a SAML entity endpoint.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Endpoint`
`endpoint`
The SAML entity endpoint.

## Constructor Summary

Constructors
Constructor
Description
`SAMLEndpointContext()`

## Method Summary

Modifier and Type
Method
Description
`Endpoint`
`getEndpoint()`
Gets the endpoint of the SAML entity.
`void`
`setEndpoint(Endpoint newEndpoint)`
Sets the endpoint of the SAML entity.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### endpoint

@Nullable private Endpoint endpoint
The SAML entity endpoint.

## Constructor Details

### SAMLEndpointContext

public SAMLEndpointContext()

## Method Details

### getEndpoint

@Nullable public Endpoint getEndpoint()
Gets the endpoint of the SAML entity.

Returns:
  endpoint of the SAML entity, may be null

### setEndpoint

public void setEndpoint(@Nullable Endpoint newEndpoint)
Sets the endpoint of the SAML entity.

Parameters:
  `newEndpoint` - the new endpoint